Project

General

Profile

Bug #1126

ICC 11 fails regressiontests

Added by Roland Schulz over 4 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
Affected version - extra info:
4.6
Affected version:
Difficulty:
uncategorized
Close

Description

icc (ICC) 11.1 20100414

1 failed test: nb_kernel_ElecCSTab_VdwCSTab_GeomW4W4. It fails with SSE4_1. It is OK with Acceleration SSE2 or None.

It is ok with icc 12 on the same machine. Is this a reason to blacklist ICC 11?

f[ 36] ( 1.06046e+03 -3.78918e+02 -2.22384e+02) - ( 9.61060e+02 -5.53853e+02 -8.02258e+01)
f[ 37] (-1.68256e+02 9.08493e+01 -3.12895e+01) - (-2.27906e+02 -1.11561e+01 -3.48740e+01)
f[ 40] (-4.41078e+02 -1.12324e+03 -5.13136e+02) - (-4.63392e+02 -1.20941e+03 -4.08784e+02)
f[ 41] (-4.22774e+01 5.93652e+02 4.11376e+02) - ( 1.25182e+01 3.52427e+02 3.81509e+02)
f[ 44] (-3.28924e+02 -5.91344e+02 2.79622e+02) - (-5.10715e+01 -4.70265e+02 3.02135e+02)
f[ 45] ( 4.96087e+01 -6.61228e+01 -8.32026e+01) - (-6.75656e+00 -1.55283e+02 -1.69959e+02)
f[ 46] ( 1.55255e+02 6.69600e+02 -1.02909e+02) - ( 2.03064e+02 6.90433e+02 -9.90349e+01)
f[ 48] (-1.79745e+02 9.15839e+02 -1.75282e+02) - (-4.90734e+01 9.27426e+02 -5.30883e+01)

Associated revisions

Revision c5ac1409 (diff)
Added by Roland Schulz over 4 years ago

Issue errors/warnings for ICC before 12.0.0

ICC 11.1 with SSE4.1 gives incorrect results, so CMake will
refuse to build with that minor version. Given that we
currently don't know anything specific and 11 is old, we
warn with any version older than 12.0.0. If more information
is available later, this warning can be made more specific.

Fixes #1126

Change-Id: I3c37844c69ce34769187f288c43cd8aef4086c53

Revision de9be0d6 (diff)
Added by Roland Schulz about 4 years ago

Issue errors/warnings for ICC before 12.0.0

ICC 11.1 with SSE4.1 gives incorrect results, so CMake will
refuse to build with that minor version. Given that we
currently don't know anything specific and 11 is old, we
warn with any version older than 12.0.0. If more information
is available later, this warning can be made more specific.

Fixes #1126

Change-Id: I3c37844c69ce34769187f288c43cd8aef4086c53

History

#1 Updated by Erik Lindahl over 4 years ago

There are later patches of icc 11 - at least 11.2

However, I'm not going to put any work into debugging a 3-year old compiler when later versions work fine, so if you don't have access to test those a warning might be in place.

#2 Updated by Roland Schulz over 4 years ago

  • Status changed from New to In Progress
  • Assignee changed from Erik Lindahl to Roland Schulz

https://gerrit.gromacs.org/#/c/2111/

No I don't have any other 11 version. I agree one shouldn't use such an old version and it doesn't make sense to invest time. I only compiled with ICC 11 because one user reported on the gmx-users list problems with ICC 11 (and GB - so I'm not sure it is related) and so I thought it would be good to test. I added the warning.

#3 Updated by Mark Abraham over 4 years ago

Confirmed with icc 11.1 20100806, also.

#4 Updated by Mark Abraham about 4 years ago

  • Status changed from In Progress to Resolved
  • Affected version set to 4.6

#5 Updated by Mark Abraham about 4 years ago

Sorry, posted on wrong issue

#6 Updated by Roland Schulz about 4 years ago

  • % Done changed from 0 to 100

#7 Updated by Rossen Apostolov over 3 years ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF